[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

build pango from source



Hi,

I'm trying to build pango 1.12.2 from source. The
https://bugs.freedesktop.org/show_bug.cgi?id=5200
bug has been fixed in that version. 
I'm using spec file from src rpm. I use this command to build pango:
rpmbuild -ba rpmbuild/SPECS/pango.spec --target=x86_64,i386

However build fails giving me this message:
+ PANGOXFT_SO=/var/tmp/pango-1.12.2-root/usr/lib64/libpangoxft-1.0.so
+ test -e /var/tmp/pango-1.12.2-root/usr/lib64/libpangoxft-1.0.so
+ echo '/var/tmp/pango-1.12.2-root/usr/lib64/libpangoxft-1.0.so not
found; did not build with Xft support?'
/var/tmp/pango-1.12.2-root/usr/lib64/libpangoxft-1.0.so not found; did
not build with Xft support?
+ ls /var/tmp/pango-1.12.2-root/usr/lib64
libpango-1.0.so           libpangocairo-1.0.so.0
libpangoft2-1.0.so.0.1200.2
libpango-1.0.so.0         libpangocairo-1.0.so.0.1200.2  pango
libpango-1.0.so.0.1200.2  libpangoft2-1.0.so             pkgconfig
libpangocairo-1.0.so      libpangoft2-1.0.so.0
+ exit 1
error: Bad exit status from /var/tmp/rpm-tmp.29707 (%install)

Am I missing some devel package ? 
 rpm -qa | grep devel
freetype-devel-2.1.10-5.2.1
libXrandr-devel-1.1.0.2-2.2
cairo-devel-1.0.4-1
libart_lgpl-devel-2.3.17-2.2.1
alsa-lib-devel-1.0.11-3.rc2.2
db4-devel-4.3.29-3.fc5
glib2-devel-2.10.2-1.fc5.1
libstdc++-devel-4.1.0-3
libXinerama-devel-1.0.1-1.2
xorg-x11-proto-devel-7.0-6
mesa-libGL-devel-6.4.2-6
ORBit2-devel-2.14.0-1
libICE-devel-1.0.0-2.2
libgpg-error-devel-1.1-1.2.1
libgnome-devel-2.14.1-1.fc5.1
libXdamage-devel-1.0.2.2-2.2
kernel-devel-2.6.16-1.2096_FC5
pango-devel-1.12.1-2
gnome-vfs2-devel-2.14.1-1.fc5.2
glibc-devel-2.4-4
libpng-devel-1.2.8-2.2.1
libXdmcp-devel-1.0.0-2.2
libX11-devel-1.0.0-3
libXft-devel-2.1.8.2-3.2
mono-devel-1.1.13.4-2
libgnomecanvas-devel-2.14.0-1
libbonobo-devel-2.14.0-1
libSM-devel-1.0.0-2.2
gnome-keyring-devel-0.4.9-1
libgcrypt-devel-1.2.2-1.2.1
libgnomedb-devel-1.9.100-6.fc5
libgnomeui-devel-2.14.1-1.fc5.1
gtkhtml3-devel-3.10.1-1.fc5.1
zlib-devel-1.2.3-1.2.1
libXfixes-devel-3.0.1.2-2.2
libXau-devel-1.0.0-2.2
libXrender-devel-0.9.0.2-3.2
libxml2-devel-2.6.23-1.2
libIDL-devel-0.8.6-2.2.1
libgnomeprint22-devel-2.12.1-4.2
GConf2-devel-2.14.0-1
libgsf-devel-1.13.3-2.2.1
audiofile-devel-0.2.6-2.2.1
libxslt-devel-1.1.15-1.2.1
libcroco-devel-0.6.1-1
monodevelop-0.10-1
kernel-devel-2.6.16-1.2080_FC5
gtk2-devel-2.8.17-1.fc5.1
gtksourceview-devel-1.6.1-1.fc5.1
librsvg2-devel-2.14.3-1.fc5.1
glib-devel-1.2.10-18.2.2
glibc-devel-2.4-4
libXcursor-devel-1.1.5.2-2.2
esound-devel-0.2.36-2.2.1
vte-devel-0.12.0-1.fc5.1
atk-devel-1.11.4-1.fc5.1
libXcomposite-devel-0.2.2.2-2.2
fontconfig-devel-2.3.94-1
libXi-devel-1.0.0-2.2
libXext-devel-1.0.0-3.2
libglade2-devel-2.5.1-4.fc5.1
libgnomeprintui22-devel-2.12.1-1.2.1
ncurses-devel-5.5-19
libbonoboui-devel-2.14.0-1
libgda-devel-1.9.100-4.fc5

Thanks in advance


-- 
Kazimieras <kazimieras vaina gmail com>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]